Skip to main content
GET
/
api
/
svc
/
v1
/
mcp-servers
/
name
/
{name}
Get MCP server by name
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/mcp-servers/name/{name} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "name": "<string>",
    "fqn": "<string>",
    "manifest": {},
    "createdBySubject": {
      "subjectId": "<string>",
      "subjectType": "user",
      "subjectSlug": "<string>",
      "subjectDisplayName": "<string>"
    },
    "accountId": "<string>",
    "id": "<string>",
    "tools": [
      {}
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "proxyUrl": "<string>",
    "oauth2AuthStatus": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

name
string
required

MCP Server name

Response

Returns the MCP server

data
MCPServer · object
required

MCP Server